For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete an API credential

How to delete an existing API credential via API

To delete an API credential, send a DELETE request to the /api/api_credentials/:id endpoint, where id is the id of the API credential that you want to delete.

Request

DELETE https://provisioning.commercelayer.io/api/api_credentials/:id

Example

The following request tries to delete the API credential identified by the ID "xYZkjABcde":

curl -g -X DELETE \
  'https://provisioning.commercelayer.io/api/api_credentials/xYZkjABcde' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer {{your_access_token}}'

On success, the API responds with a 204 No Content status code.

Last updated